Bug 1435414 - Unable to access pages when user email is not provided
Summary: Unable to access pages when user email is not provided
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1384182 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 18:04 UTC by Renzo Nuccitelli
Modified: 2019-08-12 16:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error page (69.01 KB, image/jpeg)
2017-03-23 18:05 UTC, Renzo Nuccitelli
no flags Details
verification screenshot (52.36 KB, image/png)
2018-02-14 14:21 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 19529 0 None None None 2017-05-12 18:04:50 UTC
Red Hat Bugzilla 1435409 0 medium CLOSED User email not prompted on first access 2021-02-22 00:41:40 UTC

Internal Links: 1435409

Description Renzo Nuccitelli 2017-03-23 18:04:50 UTC
Description of problem:

Accessing pages without providing email leading into error screen

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Create a user with minimum data (login, autorize by and password)
2. Add Role "Viewer" to user 
3. Logout and Login with new user credentials. System will redirect to user edit page on first access.
4.Access some page. Ex: Content -> Product

Actual results:
Error msg on screen (see screenshot)

Expected results:
Meaningful error message. 

Additional info:

Comment 1 Renzo Nuccitelli 2017-03-23 18:05:30 UTC
Created attachment 1265856 [details]
Error page

Comment 3 Marek Hulan 2017-03-28 15:32:26 UTC
This is reproducible upstream. It only affects controllers added from Katello. I tried to debug that but I was unable to find out why bastion controllers can't find Foreman route helpers.

Brad, do you have some idea, who could look at this one?

Comment 4 Brad Buckingham 2017-05-11 13:41:45 UTC
Walden, is this something that you could investigate?

Comment 5 Walden Raines 2017-05-12 17:25:51 UTC
(In reply to Brad Buckingham from comment #4)
> Walden, is this something that you could investigate?

ehelms is probably the best person to look at this but I can give it a try first.

Comment 6 Walden Raines 2017-05-12 17:26:24 UTC
Created redmine issue http://projects.theforeman.org/issues/19529 from this bug

Comment 7 Walden Raines 2017-05-12 21:24:33 UTC
(In reply to Marek Hulan from comment #3)
> This is reproducible upstream. It only affects controllers added from
> Katello. I tried to debug that but I was unable to find out why bastion
> controllers can't find Foreman route helpers.
> 
> Brad, do you have some idea, who could look at this one?

This also happens with legacy katello controllers (sync management and red hat repos).

I'm wondering if this happens with any plugin that adds additional pages.  Are we sure that something is incorrect on the katello side here?

Also, if the email address is required, why do we allow a user to be created without one?  I notice on the foreman pages you get redirected to the user page and told:

"Error: An email address is required, please update your account details"

We should probably make email address required on the new user form right?

Comment 8 Marek Hulan 2017-05-17 12:07:12 UTC
Walden, I tested foreman_openscap and foreman_remote_execution controllers and they both work as expected. I suppose the email address is not required since user accounts are created by administrator which might know the right value. So after user logs in, he's asked to fill in the required field. While we could reconsider this behavior, I think this should be fixed on Katello side.

Comment 9 Walden Raines 2017-05-17 17:56:37 UTC
(In reply to Marek Hulan from comment #8)
> Walden, I tested foreman_openscap and foreman_remote_execution controllers
> and they both work as expected. I suppose the email address is not required
> since user accounts are created by administrator which might know the right
> value. So after user logs in, he's asked to fill in the required field.
> While we could reconsider this behavior, I think this should be fixed on
> Katello side.

Works for me, thank you for testing those other plugins.

Just to be clear I was proposing fixing the user form in addition to fixing this problem but I will leave that up to y'all to decide.

Comment 10 Satellite Program 2017-05-24 20:10:17 UTC
Upstream bug assigned to ehelms@redhat.com

Comment 11 Satellite Program 2017-08-10 16:10:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19529 has been resolved.

Comment 12 Marek Hulan 2017-09-15 11:34:52 UTC
*** Bug 1384182 has been marked as a duplicate of this bug. ***

Comment 13 jcallaha 2018-02-14 14:21:12 UTC
Verified in Satellite 6.3 Snap 35.

A new user, without an email set, will be redirected to their account settings page when trying to navigate to any other page. Additionally, a notification pops up in the upper right corner warning them that they need to set their email.

"Error: An email address is required, please update your account details"

See screenshot for verification

Comment 14 jcallaha 2018-02-14 14:21:29 UTC
Created attachment 1395936 [details]
verification screenshot

Comment 16 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.